Freeciv-3.1: packet_city_rally_point Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
packet_city_rally_point Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | city_id16
int | city_id32
int | length
bool | persistent
bool | vigilant
struct unit_order | orders [MAX_LEN_ROUTE]

## Detailed Description

Definition at line 497 of file packets_gen.h.

## Field Documentation

## ◆ city_id16

int packet_city_rally_point::city_id16

Definition at line 498 of file packets_gen.h.

Referenced by handle_city_rally_point(), handle_city_rally_point(), package_city(), send_packet_city_rally_point_101(), and send_rally_path_orders().

## ◆ city_id32

int packet_city_rally_point::city_id32

Definition at line 499 of file packets_gen.h.

Referenced by city_rally_point_receive(), handle_city_rally_point(), handle_city_rally_point(), package_city(), send_packet_city_rally_point_100(), and send_rally_path_orders().

## ◆ length

int packet_city_rally_point::length

Definition at line 500 of file packets_gen.h.

Referenced by city_rally_point_receive(), package_city(), send_packet_city_rally_point_100(), send_packet_city_rally_point_101(), and send_rally_path_orders().

## ◆ orders

struct unit_order packet_city_rally_point::orders[MAX_LEN_ROUTE]

Definition at line 503 of file packets_gen.h.

Referenced by city_rally_point_receive(), package_city(), send_packet_city_rally_point_100(), send_packet_city_rally_point_101(), and send_rally_path_orders().

## ◆ persistent

bool packet_city_rally_point::persistent

Definition at line 501 of file packets_gen.h.

Referenced by city_rally_point_receive(), package_city(), send_packet_city_rally_point_100(), send_packet_city_rally_point_101(), and send_rally_path_orders().

## ◆ vigilant

bool packet_city_rally_point::vigilant

Definition at line 502 of file packets_gen.h.

Referenced by city_rally_point_receive(), package_city(), send_packet_city_rally_point_100(), send_packet_city_rally_point_101(), and send_rally_path_orders().